Bug 1285130 - [Docs] [REST API] Update and expand examples for provisioning requests
[Docs] [REST API] Update and expand examples for provisioning requests
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Dayle Parker
Suyog Sainkar
:
Depends On:
Blocks: 1302960
  Show dependency treegraph
 
Reported: 2015-11-24 19:40 EST by Lucy Bopf
Modified: 2016-01-29 02:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 05:00:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucy Bopf 2015-11-24 19:40:09 EST
The example scenarios for /api/provision_requests must be expanded to include more advanced parameters, such as in which datastore and cluster a virtual machine and its disk should be created, and the provision type (e.g. vmware). These parameters are currently documented upstream. This content must be evaluated and included in the REST API guide example provisioning requests where applicable.

The upstream content on provisioning requests is available at the following links:

https://github.com/ManageIQ/manageiq_docs/blob/master/api/appendices/provision_attributes.adoc
https://github.com/ManageIQ/manageiq_docs/blob/master/api/reference/provision_requests.adoc
https://github.com/ManageIQ/manageiq_docs/blob/master/api/appendices/advanced_provisioning.adoc





Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 1 Lucy Bopf 2015-11-24 21:10:28 EST
Assigning to Dayle for review.

Dayle, can you take a look at the upstream documentation and see whether there are some useful parameters we might be able to add to the existing example, or use to create a new example?
Comment 8 Andrew Dahms 2015-12-08 05:00:39 EST
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.